=== debian/changelog ===
ros-indigo-s3000-laser (0.1.1-0trusty) trusty; urgency=high

  * Added package to indigo
  * fixed array types
  * cleanup
  * code cleanup
  * sicks3000 class cleanup
  * minor cleanup
  * Merge pull request #4 <https://github.com/RobotnikAutomation/s3000_laser/issues/4> from RobotnikAutomation/serial-device-code-cleanup
    Serial device code cleanup
  * close port in destructor
  * cleanup serial device class interface
  * remove all unused code for clarity
    cleanup class interface
  * Merge pull request #3 <https://github.com/RobotnikAutomation/s3000_laser/issues/3> from chataign/parse-reflector-data
    Parse reflector data and new parameters
  * set queue size to 1
    clean laser scan at each iteration
  * allow configuration of the laser scan from ROS params
  * parse reflector data
  * moved DTOR to header to allow use from other files
  * parse reflector data
  * make baud rate and topic name configurable. support for 0.5deg resolution
  * S30b support added. Minor fixes
  * Adding Changelog file
  * Adding packages dependencies and removing unused includes
  * Modifying package description for Hydro branch
  * Adding files for Hydro
  * Initial commit
  * Contributors: AliquesTomas, Dani Carbonell, Francois Chataigner, RobotnikRoman, Roman Navarro Garcia, francois

 -- Roberto Guzmán <rguzman@robotnik.es>  Wed, 03 Aug 2016 22:00:00 -0000
